package kr.co.vividnext.sodalive.audio_content.main.v2.asmr

import kr.co.vividnext.sodalive.audio_content.AudioContentApi
import kr.co.vividnext.sodalive.common.SharedPreferenceManager
import kr.co.vividnext.sodalive.settings.ContentType

class AudioContentMainTabAsmrRepository(private val api: AudioContentApi) {
    fun getContentMainAsmr(token: String) = api.getContentMainAsmr(
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getPopularContentByCreator(
        creatorId: Long,
        token: String
    ) = api.getPopularAsmrContentByCreator(
        creatorId,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )
}
