package kr.co.vividnext.sodalive.audio_content.main.v2.free

import kr.co.vividnext.sodalive.audio_content.AudioContentApi
import kr.co.vividnext.sodalive.common.SharedPreferenceManager
import kr.co.vividnext.sodalive.settings.ContentType

class AudioContentMainTabFreeRepository(private val api: AudioContentApi) {
    fun getContentMainFree(token: String) = api.getContentMainFree(
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getIntroduceCreatorList(page: Int, size: Int, token: String) = api.getIntroduceCreatorList(
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        page = page - 1,
        size = size,
        authHeader = token
    )

    fun getNewContentOfTheme(
        theme: String,
        page: Int = 1,
        size: Int = 10,
        token: String
    ) = api.getNewFreeContentOfTheme(
        theme = theme,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        page = page - 1,
        size = size,
        authHeader = token
    )

    fun getPopularContentByCreator(
        creatorId: Long,
        token: String
    ) = api.getPopularFreeContentByCreator(
        creatorId,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )
}
