package kr.co.vividnext.sodalive.audio_content.main.v2.home

import kr.co.vividnext.sodalive.audio_content.AudioContentApi
import kr.co.vividnext.sodalive.common.SharedPreferenceManager
import kr.co.vividnext.sodalive.settings.ContentType

class AudioContentMainTabHomeRepository(private val api: AudioContentApi) {
    fun getContentMainHome(token: String) = api.getContentMainHome(
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getPopularContentByCreator(
        creatorId: Long,
        token: String
    ) = api.getPopularContentByCreator(
        creatorId,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getContentRanking(sort: String, token: String) = api.getContentMainHomeContentRanking(
        sortType = sort,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )
}
