package kr.co.vividnext.sodalive.audio_content.main.v2.replay

import kr.co.vividnext.sodalive.audio_content.AudioContentApi
import kr.co.vividnext.sodalive.common.SharedPreferenceManager
import kr.co.vividnext.sodalive.settings.ContentType

class AudioContentMainTabReplayRepository(private val api: AudioContentApi) {
    fun getContentMainReplay(token: String) = api.getContentMainReplay(
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getPopularContentByCreator(
        creatorId: Long,
        token: String
    ) = api.getPopularReplayContentByCreator(
        creatorId,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )
}
