package kr.co.vividnext.sodalive.audio_content.main.v2.series

import kr.co.vividnext.sodalive.audio_content.AudioContentApi
import kr.co.vividnext.sodalive.common.SharedPreferenceManager
import kr.co.vividnext.sodalive.settings.ContentType

class AudioContentMainTabSeriesRepository(private val api: AudioContentApi) {
    fun getContentMainSeries(token: String) = api.getContentMainSeries(
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getRecommendSeriesListByGenre(
        genreId: Long,
        token: String
    ) = api.getRecommendSeriesListByGenre(
        genreId,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getRecommendSeriesByCreator(
        creatorId: Long,
        token: String
    ) = api.getRecommendSeriesByCreator(
        creatorId,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getCompletedSeries(
        page: Int,
        size: Int,
        token: String
    ) = api.getCompletedSeries(
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        page = page - 1,
        size = size,
        authHeader = token
    )
}
